Bug 144741 - RHEL4 U1: ICH7 Support patch
Summary: RHEL4 U1: ICH7 Support patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 146068 147461
TreeView+ depends on / blocked
 
Reported: 2005-01-11 01:24 UTC by Ed Ciechanowski
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 15:13:17 UTC


Attachments (Terms of Use)
adds support for ICH7 DID's to SATA, PATA, I2C, PIRQ and AC'97 sound drivers (8.13 KB, patch)
2005-01-18 01:05 UTC, Jason Gaston
no flags Details | Diff
Updated ICH7 Device ID patch, includes ICH7R DID's along with SATA, PATA, AHCI, SMBus, Audio, PIRQ (8.31 KB, patch)
2005-01-21 23:45 UTC, Jason Gaston
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Ed Ciechanowski 2005-01-11 01:24:54 UTC
Description of problem:
Need patch to support SATA, PATA, LPC, SMBus and Audio for RHEL4_U1.
This is a place holder until we know the GA kernel version to build 
the patch.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jason Gaston 2005-01-18 01:05:35 UTC
Created attachment 109903 [details]
adds support for ICH7 DID's to SATA, PATA, I2C, PIRQ and AC'97 sound drivers

Please apply this patch for inclusion in RHEL4 Update1.

Comment 2 Jason Gaston 2005-01-21 23:45:24 UTC
Created attachment 110083 [details]
Updated ICH7 Device ID patch, includes ICH7R DID's along with SATA, PATA, AHCI, SMBus, Audio, PIRQ

Replaces previous ICH7 patch posted.

Comment 4 Tim Burke 2005-01-24 21:10:05 UTC
Is this everything needed for ICH7, or just a portion of the complete set of
patches?


Comment 5 Tim Burke 2005-01-24 21:26:37 UTC
I'm assuming that the corresponding PCI IDs will be checked into SourceForge by
Feb16 which is the listed deadline on our schedule.  Ed - is that a safe assumption?


Comment 6 Ed Ciechanowski 2005-01-24 21:40:23 UTC
Answer to comment #4:
Everything is in this patch for RHEL4 U1. For audio RH should pickup the 1.0.8 
ALSA driver not created by us.

Answer comment #5
All the PCI IDs temp strings are in Sourceforge today. I will check them 
before the deadline 2/16 to make double sure they are correct one we want. 
Thanks! 

Comment 10 Darrick Wong 2005-03-01 22:54:53 UTC
Is there anywhere that I could get kernel rpms with this patch
applied?  We have an ICH7-based machine that we'd like to test.

Comment 12 Dave Jones 2005-03-02 20:43:44 UTC
http://people.redhat.com/davej/kernels/RHEL4/ always has the latest pre-beta
version.



Comment 14 Tim Powers 2005-06-08 15:13:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.